# spec file for package libegbb3 (Version 3.3)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#
# norootforbuild

Summary:        Library for loading bitbased endgame tables into chess engines
Name:           libegbb3
Version:        3.3
Release:        1.2
License:        None
Group:          System/Libraries
URL:            http://dshawul.googlepages.com/home
Source:         %{name}-%{version}.tar.bz2
Source1:	bugreport.debian
Source2:	copyright
Source3:	%{name}-%{version}.rpmlintrc
Patch0:		%{name}-%{version}.patch
Patch1:		%{name}-%{version}-disable_broken_spinlock.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-build
BuildRequires:  gcc-c++ 
AutoReqProv:    on


%description
This package enables endgame tablebase support for bitbase format.
Endgame tablebases are computerized databases of all chess positions within certain endgames. 
They are used by chess engines to calculate the outcome of an chess game. 
This lib enables chess engines like toga (>= 1.3.4) or scorpio to support these bitbase tablebases.

<Copyright (C) - 2009 Daniel Shawul>

Note:

The sources are freely available but there is no explicit license attached to them, see also the file "/usr/share/doc/packages/libegbb3/bugreport.debian".

This note is based on the contents of the debian package from Oliver Korff <ok@xynyx.de>.

Authors:
--------
		Daniel Shawul

%package devel
Summary:	Development files for libegbb
Group:          Development/Libraries/C and C++
Requires:	libegbb3 = %{version}

%description devel
This package enables endgame tablebase support for bitbase format.
Endgame tablebases are computerized databases of all chess positions within certain endgames.
They are used by chess engines to calculate the outcome of an chess game.
This lib enables chess engines like toga (>= 1.3.4) or scorpio to support these bitbase tablebases.

<Copyright (C) - 2009 Daniel Shawul>

Note:

The sources are freely available but there ios no explicit license attached to them, see also the file "/usr/share/doc/packages/libegbb3/bugreport.debian".

This note is based on the contents of the debian package from Oliver Korff <ok@xynyx.de>.

Authors:
--------
		Daniel Shawul



%prep
%setup -q
%patch0 -p0
%patch1 -p0
cp %{SOURCE1} . 
cp %{SOURCE2} .

%build
make CFLAGS="$RPM_OPT_FLAGS"

%install
mkdir -p $RPM_BUILD_ROOT%{_libdir}
mkdir -p $RPM_BUILD_ROOT%{_includedir}/egbbdll/
install -m 644 egbbso.so $RPM_BUILD_ROOT%{_libdir}/libegbbso.so.3.3
pushd $RPM_BUILD_ROOT%{_libdir}/
ln -s libegbbso.so.3.3 libegbbso.so.3
ln -s libegbbso.so.3.3 libegbbso.so
# as engines search for egbbso.so we also set this "unusual" symlink for a library
ln -s libegbbso.so.3.3 egbbso.so
popd
install -m 644 *.h $RPM_BUILD_ROOT%{_includedir}/egbbdll/

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files 
%defattr(-, root, root)
%doc bugreport.debian copyright
%{_libdir}/libegbbso.so.*
%{_libdir}/egbbso.so

%files devel
%defattr(-, root, root)
%{_libdir}/libegbbso.so
%dir %{_includedir}/egbbdll/
%{_includedir}/egbbdll/*

%changelog
* Sat Aug 29 2009 AxelKoellhofer@web.de
- fixed setting of symlinks in spec 
- set Requires for devel package
* Tue Aug 25 2009 AxelKoellhofer@web.de
- first build for openSUSE, version 3.3
- derived from the debian package by Oliver Korff <ok@xynyx.de>

